org.jfree.report.modules.factories.report.flow

## Class GroupingExpressionReadHandler

- java.lang.Object
- - org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
  - - org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler
    - - org.jfree.report.modules.factories.report.flow.GroupingExpressionReadHandler

- All Implemented Interfaces:
    org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

      public class GroupingExpressionReadHandler
      extends AbstractExpressionReadHandler

  Creation-Date: 09.04.2006, 13:54:23
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupingExpressionReadHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getDefaultClassName()`

    - ### Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler

      `getExpression, getHandlerForChild, getObject, startParsing`

    - ### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

      `characters, deriveParseParameters, doneParsing, endElement, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupingExpressionReadHandler

          public GroupingExpressionReadHandler()

  - ### Method Detail

    - #### getDefaultClassName

          protected java.lang.String getDefaultClassName()

      Overrides:
        `getDefaultClassName` in class `AbstractExpressionReadHandler`